Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision b8648bdc0c4932b954b73e3e95301a024229ff22)
+++ cpukit/Makefile.am	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
@@ -1003,4 +1003,5 @@
 librtemscpu_a_SOURCES += score/src/watchdogtick.c
 librtemscpu_a_SOURCES += score/src/watchdogtickssinceboot.c
+librtemscpu_a_SOURCES += score/src/watchdogtimeslicedefault.c
 librtemscpu_a_SOURCES += score/src/userextaddset.c
 librtemscpu_a_SOURCES += score/src/userext.c
Index: cpukit/include/rtems/confdefs.h
===================================================================
--- cpukit/include/rtems/confdefs.h	(revision b8648bdc0c4932b954b73e3e95301a024229ff22)
+++ cpukit/include/rtems/confdefs.h	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
@@ -1968,7 +1968,13 @@
 
 /** The configures the number of clock ticks per timeslice. */
-#ifndef CONFIGURE_TICKS_PER_TIMESLICE
-  #define CONFIGURE_TICKS_PER_TIMESLICE        50
-#endif
+#if defined(CONFIGURE_TICKS_PER_TIMESLICE) && \
+  CONFIGURE_TICKS_PER_TIMESLICE != WATCHDOG_TICKS_PER_TIMESLICE_DEFAULT
+
+#ifdef CONFIGURE_INIT
+  const uint32_t _Watchdog_Ticks_per_timeslice =
+    CONFIGURE_TICKS_PER_TIMESLICE;
+#endif
+
+#endif /* CONFIGURE_TICKS_PER_TIMESLICE */
 
 /**@}*/ /* end of General Configuration */
@@ -2627,5 +2633,4 @@
   const rtems_configuration_table Configuration = {
     CONFIGURE_EXECUTIVE_RAM_SIZE,             /* required RTEMS workspace */
-    CONFIGURE_TICKS_PER_TIMESLICE,            /* ticks per timeslice quantum */
     CONFIGURE_IDLE_TASK_BODY,                 /* user's IDLE task */
     CONFIGURE_IDLE_TASK_STACK_SIZE,           /* IDLE task stack size */
Index: cpukit/include/rtems/config.h
===================================================================
--- cpukit/include/rtems/config.h	(revision b8648bdc0c4932b954b73e3e95301a024229ff22)
+++ cpukit/include/rtems/config.h	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
@@ -88,9 +88,4 @@
 
   /** 
-   * This field specifies the number of ticks in each task's timeslice.
-   */
-  uint32_t                       ticks_per_timeslice;
-
-  /** 
    * This element points to the BSP's optional idle task which may override
    * the default one provided with RTEMS.
@@ -164,5 +159,5 @@
 
 #define rtems_configuration_get_ticks_per_timeslice() \
-        (Configuration.ticks_per_timeslice)
+        (_Watchdog_Ticks_per_timeslice)
 
 #define rtems_configuration_get_idle_task() \
Index: cpukit/include/rtems/score/watchdogticks.h
===================================================================
--- cpukit/include/rtems/score/watchdogticks.h	(revision b8648bdc0c4932b954b73e3e95301a024229ff22)
+++ cpukit/include/rtems/score/watchdogticks.h	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
@@ -44,4 +44,9 @@
 
 /**
+ * @brief Default value for the watchdog ticks per timeslice.
+ */
+#define WATCHDOG_TICKS_PER_TIMESLICE_DEFAULT 50
+
+/**
  * @brief The watchdog ticks counter.
  *
@@ -74,4 +79,12 @@
 extern const uint32_t _Watchdog_Ticks_per_second;
 
+/**
+ * @brief The watchdog ticks per timeslice.
+ *
+ * This constant is defined by the application configuration via
+ * <rtems/confdefs.h>.
+ */
+extern const uint32_t _Watchdog_Ticks_per_timeslice;
+
 /** @} */
 
Index: cpukit/score/src/watchdogtimeslicedefault.c
===================================================================
--- cpukit/score/src/watchdogtimeslicedefault.c	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
+++ cpukit/score/src/watchdogtimeslicedefault.c	(revision 308a2e0fdcde94b8549dcf9dcdd42eea3cdc9f27)
@@ -0,0 +1,35 @@
+/*
+ * SPDX-License-Identifier: BSD-2-Clause
+ *
+ * Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#if HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <rtems/score/watchdogticks.h>
+
+const uint32_t _Watchdog_Ticks_per_timeslice =
+  WATCHDOG_TICKS_PER_TIMESLICE_DEFAULT;
